Package org.apache.sling.jackrabbit.usermanager

# Interface PrincipalNameFilter

public interface PrincipalNameFilter
Service interface which allows for filtering what characters are allowed in a generated principal name

## Method Summary

Modifier and Type
Method
Description
`String`
`filter(String principalName)`
Filter the invalid characters out of the provided principal name candidate

## Method Details

### filter

String filter(String principalName)
Filter the invalid characters out of the provided principal name candidate

Parameters:
  `principalName` - the candidate principal name
Returns:
  the filtered value